Skip to content
DELETE /unified/crm/fields/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

entitystring
Possible values:
accountcompanycontactdealleadnoteopportunityticket
7 supported7 required7 notes
Attio
required
accountcontactopportunity

The entity/object the field belongs to

Capsule
required
contactaccountopportunity

The entity to get the fields for

Close
required
contactaccountopportunity

The entity to get the fields for

Microsoft Dynamics 365 Sales
required
contactaccountleadopportunity

The entity/object the field belongs to

HubSpot
required
contactcompanydealleadticket

The entity/object the field belongs to

Pipedrive
required
contactaccountopportunitylead

The entity to get the fields for

Zoho CRM
required
contactleadaccountnoteopportunity

The entity the field belongs to

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

created_atstring · date-time

The date and time of the field's creation

descriptionstring

The field's description

entity_typestring

The entity type the field belongs to

Possible values:
contactaccountopportunity
field_groupsobject[]
References: FieldGroups → id
idstring

The field group's unique identifier

namestring

The field group's name

idstring

The field's unique identifier

5 supported
Attio
supported
Capsule
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Zoho CRM
supported
is_editableboolean

Whether the field is editable

is_hiddenboolean

Whether the field is hidden

is_requiredboolean

Whether the field is required

is_uniqueboolean

Whether the field is unique

is_user_definedboolean

Whether the field is user defined

labelstring

The field's label

namestring

The field's name. This is the name of the property in the entity.

optionsobject[]

The field's options

descriptionstring

The option's description

is_hiddenboolean

Whether the option is hidden

labelstring

The option's label

valuestring

The option's value

reference_entitystring

The entity type this field references to

Possible values:
contactaccountopportunitylead
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The field's type

Possible values:
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfileaddress
updated_atstring · date-time

The date and time of the field's last update

urlsobject[]

The field's urls

typestring

The field's URL type

urlstring

The field's URL

curl -X DELETE 'https://api.truto.one/unified/crm/fields/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/fields/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/fields/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'crm',
  'fields',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "crm",
        "fields",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())